Chunk Class Reference

## Public Member Functions

bool | operator< (const Chunk &otherChunk) const

## Public Attributes

uint64_t | chunk_beg
uint64_t | chunk_end

## Static Public Attributes

static const uint64_t | MAX_CHUNK_VALUE = 0xFFFFFFFFFFFFFFFFULL

## Detailed Description

Definition at line 30 of file IndexBase.h.

## Member Function Documentation

## operator<()

bool Chunk::operator< | ( | const Chunk & | otherChunk | ) | const

inline

Definition at line 38 of file IndexBase.h.

{
return(this->chunk_beg < otherChunk.chunk_beg);
}

## Member Data Documentation

## chunk_beg

uint64_t Chunk::chunk_beg

Definition at line 33 of file IndexBase.h.

## chunk_end

uint64_t Chunk::chunk_end

Definition at line 34 of file IndexBase.h.

## MAX_CHUNK_VALUE

const uint64_t Chunk::MAX_CHUNK_VALUE = 0xFFFFFFFFFFFFFFFFULL

static

Definition at line 36 of file IndexBase.h.

The documentation for this class was generated from the following file:

- general/IndexBase.h